package com.steerinfo.baseinfo.meterbasedatamigration.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasedatamigration.model.MeterBaseDataMigration;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseDataMigrationMapper extends IBaseMapper<MeterBaseDataMigration, String> {
     String GetNewID();

    void insertMigration(Map<String, Object> parameters);

     void deleteMigration(Map<String, Object> parameters);
}